Package org.kapott.hbci.GV.parsers

## Class AbstractCamtParser

- java.lang.Object
- - org.kapott.hbci.GV.parsers.AbstractCamtParser

All Implemented Interfaces:
  `ISEPAParser<java.util.List<GVRKUms.BTag>>`

Direct Known Subclasses:
  `ParseCamt05200101`, `ParseCamt05200102`, `ParseCamt05200103`, `ParseCamt05200104`, `ParseCamt05200105`, `ParseCamt05200106`, `ParseCamt05200107`

    public abstract class AbstractCamtParser
    extends java.lang.Object
    implements ISEPAParser<java.util.List<GVRKUms.BTag>>

Abstrakte Basis-Implementierung der CAMT-Parser.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.kapott.hbci.GV.parsers.ISEPAParser

`ISEPAParser.Names`

### Constructor Summary

Constructors
`AbstractCamtParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `trim​(java.lang.String s)` Entfernt die Whitespaces des Textes.
`protected java.util.List<java.lang.String>` `trim​(java.util.List<java.lang.String> list)` Entfernt die Whitespaces in der Liste der Texte.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.kapott.hbci.GV.parsers.ISEPAParser

`parse`

### Constructor Detail

#### AbstractCamtParser

    public AbstractCamtParser()

### Method Detail

#### trim

    protected java.lang.String trim​(java.lang.String s)

Entfernt die Whitespaces des Textes. Manche Banken fuellen den Gegenkontoinhaber rechts auf 70 Zeichen mit Leerzeichen auf.

Parameters:
  `s` - der Text. NPE-Sicher.
Returns:
  der getrimmte Text.

#### trim

    protected java.util.List<java.lang.String> trim​(java.util.List<java.lang.String> list)

Entfernt die Whitespaces in der Liste der Texte.

Parameters:
  `list` - Liste der Texte. NPE-Sicher. Leere Zeilen werden uebersprungen.
Returns:
  die getrimmte Liste.